Make errors with Flame Robin

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Make errors with Flame Robin

Charl Wentzel
Hi
 
I'm struggling to get Flamerobin to compile on my machine.  The most
success I had was with the source files, but I'm getting the following
error while trying to make:
 
./bk-deps g++ -c -o flamerobin_addconstrainthandler.o    -DIBPP_GCC
-DIBPP_LINUX -I../src -I../src/ibpp -I../res
-I/opt/wxwidgets/lib/wx/include/x11univ-ansi-release-static-2.6
-I/opt/wxwidgets/include/wx-2.6 -D__WXUNIVERSAL__ -D__WXX11__
-I/usr/X11R6/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES
-D_LARGEFILE_SOURCE=1   -g -O2 ../src/addconstrainthandler.cpp
In file included from ../src/addconstrainthandler.cpp:44:
../src/gui/ExecuteSqlFrame.h:196: error: syntax error before `{' token
../src/gui/ExecuteSqlFrame.h:198: error: ISO C++ forbids declaration of
`
   databaseM' with no type
../src/gui/ExecuteSqlFrame.h:198: error: `db' was not declared in this
scope
../src/gui/ExecuteSqlFrame.h:198: error: syntax error before `}' token
../src/gui/ExecuteSqlFrame.h:199: error: virtual outside class
declaration
../src/gui/ExecuteSqlFrame.h:201: error: syntax error before `private'
../src/gui/ExecuteSqlFrame.h:203: error: conflicting types for `
   Database*databaseM'
../src/gui/ExecuteSqlFrame.h:198: error: previous declaration as `int
databaseM
   '
../src/gui/ExecuteSqlFrame.h:204: error: syntax error before `}' token
make: *** [flamerobin_addconstrainthandler.o] Error 1
 
This is for the flamerobin-0.4.0-src package.  I didn't even get this
far with the older version.  If its important I'm running Slackware
10.2. The only wxWidgets I could successfully compile was version 2.6.2
for X11, which worked without a problem.
 
Could anyone give me some pointers?
 
Regards
Charl


Liquid Automation Systems, LAS Cool Sorption and LAS Garage Equipment disclaim all
liability for any loss, damage or expense however caused, arising from the sending,
receipt, or use of this e-mail communication and on any reliance placed upon the
information provided through this service and does not guarantee the completeness
or accuracy of the information.

This message may contain information which is confidential and subject to legal
privilege.  If you are not the intended recipient, you may not peruse, use, disseminate,
distribute or copy this message.  If you have received this message in error, please
notify the sender immediately by email, facsimile or telephone, and return and/or
destroy the original message.




-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Make errors with Flame Robin

Michael Hieke-2
Charl,

what gcc version is that?  I don't see any obvious problem, and building
on Slackware 10.1 works for me...

Thanks

--
Michael Hieke


-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Make errors with Flame Robin

Charl Wentzel
Hi Michael
 
It looks like I'm running gcc-3.3.6.
 
It appears as if it does not recognise the class name "wxTextDropTarget"
 
Charl
___________________________________________________________
Charl Wentzel
Engineering Services Manager
Liquid Automation Systems
South Africa
+27 11 397 3780
 
 
-----Original Message-----
From: Michael Hieke <[hidden email]>
To: [hidden email]
Date: Fri, 14 Oct 2005 13:14:34 +0200
Subject: Re: [Flamerobin-devel] Make errors with Flame Robin
 

> Charl,
>  
> what gcc version is that?  I don't see any obvious problem, and
> building  
> on Slackware 10.1 works for me...
>  
> Thanks
>  
> --  
> Michael Hieke
>  
>  
> -------------------------------------------------------
> This SF.Net email is sponsored by:
> Power Architecture Resource Center: Free content, downloads,
> discussions,
> and more. http://solutions.newsforge.com/ibmarch.tmpl 
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel 
 


Liquid Automation Systems, LAS Cool Sorption and LAS Garage Equipment disclaim all
liability for any loss, damage or expense however caused, arising from the sending,
receipt, or use of this e-mail communication and on any reliance placed upon the
information provided through this service and does not guarantee the completeness
or accuracy of the information.

This message may contain information which is confidential and subject to legal
privilege.  If you are not the intended recipient, you may not peruse, use, disseminate,
distribute or copy this message.  If you have received this message in error, please
notify the sender immediately by email, facsimile or telephone, and return and/or
destroy the original message.




-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Make errors with Flame Robin

Michael Hieke-2
Hi Charl,

> It appears as if it does not recognise the class name
> "wxTextDropTarget"

what does your config.log say, maybe drag and drop is disabled for
wxMotif (that's what you use, right)?  We should maybe check for
wxUSE_DRAG_AND_DROP in FR sources, but that would be a lot of work, and
most ports support it, anyway.  Couldn't you try with wxGTK instead?

Thanks

--
Michael Hieke


-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Make errors with Flame Robin

Milan Babuskov-2
In reply to this post by Charl Wentzel
Charl Wentzel wrote:
> This is for the flamerobin-0.4.0-src package.  I didn't even get this
> far with the older version.  If its important I'm running Slackware
> 10.2. The only wxWidgets I could successfully compile was version 2.6.2
> for X11, which worked without a problem.

Hi Charl,

We do not support X11 version. You need to build GTK version. If you run
into problems building it, feel free to ask here... we all build it
ourselves, so it shouldn't be a problem to help you.

--
Milan Babuskov
http://www.flamerobin.org



-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel